classification
Title: Allow users to disable builtin hash modules on compile time
Type: enhancement Stage: resolved
Components: Build Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: christian.heimes Nosy List: christian.heimes, cstratak, miss-islington
Priority: normal Keywords: patch

Created on 2020-05-15 19:54 by christian.heimes, last changed 2020-11-17 15:01 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 20121 merged christian.heimes, 2020-05-15 20:05
PR 20422 merged christian.heimes, 2020-05-26 10:05
PR 20423 merged miss-islington, 2020-05-26 10:27
PR 20937 merged cstratak, 2020-06-17 13:55
PR 20951 merged cstratak, 2020-06-17 18:55
PR 20980 merged christian.heimes, 2020-06-19 13:32
PR 23343 merged miss-islington, 2020-11-17 14:41
Messages (8)
msg368966 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2020-05-15 19:54
Python has a couple of builtin hash module: md5, sha1, sha256/224, sha512/383, sha3/shake family, and blake2b/s. Most of them are used as fallbacks in case OpenSSL bindings are not available.

In some scenarios it is useful or required to disable the custom implementations and only offer libcrypto based implementations. Let's add a build option to disable modules.
msg368981 - (view) Author: miss-islington (miss-islington) Date: 2020-05-15 21:54
New changeset 9b60e55db2897acc30d6b9ef1dbc49674eed40c7 by Christian Heimes in branch 'master':
bpo-40637: Add option to disable builtin hashes (GH-20121)
https://github.com/python/cpython/commit/9b60e55db2897acc30d6b9ef1dbc49674eed40c7
msg369968 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2020-05-26 10:26
New changeset be63019ed726b2da045bf232782062830bb6c27d by Christian Heimes in branch 'master':
bpo-40637: Fix test_pbkdf2_hmac_py for missing sha1 (#20422)
https://github.com/python/cpython/commit/be63019ed726b2da045bf232782062830bb6c27d
msg369969 - (view) Author: miss-islington (miss-islington) Date: 2020-05-26 10:46
New changeset 66391b0c6e792236b9f487283ae161bdaf0e7ad7 by Miss Islington (bot) in branch '3.9':
bpo-40637: Fix test_pbkdf2_hmac_py for missing sha1 (GH-20422)
https://github.com/python/cpython/commit/66391b0c6e792236b9f487283ae161bdaf0e7ad7
msg371767 - (view) Author: miss-islington (miss-islington) Date: 2020-06-17 17:26
New changeset 236a0f5cf022b59dbb6ea17a8e7a677c573d39b9 by stratakis in branch 'master':
bpo-40637: Do not emit warnings for disabled builtin hashes (GH-20937)
https://github.com/python/cpython/commit/236a0f5cf022b59dbb6ea17a8e7a677c573d39b9
msg371772 - (view) Author: miss-islington (miss-islington) Date: 2020-06-17 19:43
New changeset 9a58f03dc21d15c076d051d902ce1d0324db9741 by stratakis in branch '3.9':
[3.9] bpo-40637: Do not emit warnings for disabled builtin hashes (GH… (GH-20951)
https://github.com/python/cpython/commit/9a58f03dc21d15c076d051d902ce1d0324db9741
msg381240 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2020-11-17 14:40
New changeset 975022b77b0024ea1548f19d5f91aba5ba1eed59 by Christian Heimes in branch 'master':
bpo-40637: Don't test builtin PBKDF2 without builtin hashes (GH-20980)
https://github.com/python/cpython/commit/975022b77b0024ea1548f19d5f91aba5ba1eed59
msg381242 - (view) Author: miss-islington (miss-islington) Date: 2020-11-17 15:01
New changeset 656d50f98d9aec5e5283f77adc38e91813273662 by Miss Islington (bot) in branch '3.9':
bpo-40637: Don't test builtin PBKDF2 without builtin hashes (GH-20980)
https://github.com/python/cpython/commit/656d50f98d9aec5e5283f77adc38e91813273662
History
Date User Action Args
2020-11-17 15:01:59miss-islingtonsetmessages: + msg381242
2020-11-17 14:41:17miss-islingtonsetpull_requests: + pull_request22234
2020-11-17 14:40:38christian.heimessetmessages: + msg381240
2020-06-19 13:32:16christian.heimessetpull_requests: + pull_request20156
2020-06-17 19:43:41miss-islingtonsetmessages: + msg371772
2020-06-17 18:55:04cstrataksetpull_requests: + pull_request20131
2020-06-17 17:26:12miss-islingtonsetmessages: + msg371767
2020-06-17 13:55:51cstrataksetnosy: + cstratak

pull_requests: + pull_request20116
2020-05-26 10:46:30miss-islingtonsetmessages: + msg369969
2020-05-26 10:27:07miss-islingtonsetpull_requests: + pull_request19681
2020-05-26 10:26:32christian.heimessetmessages: + msg369968
2020-05-26 10:05:03christian.heimessetpull_requests: + pull_request19680
2020-05-15 22:15:21christian.heimessetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-05-15 21:54:58miss-islingtonsetnosy: + miss-islington
messages: + msg368981
2020-05-15 20:05:29christian.heimessetkeywords: + patch
pull_requests: + pull_request19425
2020-05-15 19:54:37christian.heimescreate